org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination

## Class PDDestination

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

Direct Known Subclasses:
  PDNamedDestination, PDPageDestination

    public abstract class PDDestination
    extends Object
    implements PDDestinationOrAction

This represents a destination in a PDF document.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDDestination()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PDDestination` `create(COSBase base)` This will create a new destination depending on the type of COSBase that is passed in.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.common.COSObjectable

`getCOSObject`

### Constructor Detail

#### PDDestination

    public PDDestination()

### Method Detail

#### create

    public static PDDestination create(COSBase base)
                                throws IOException

This will create a new destination depending on the type of COSBase that is passed in.

Parameters:
  `base` - The base level object.
Returns:
  A new destination.
Throws:
  `IOException` - If the base cannot be converted to a Destination.